View Issue Details

IDProjectCategoryView StatusLast Update
0000969ScribusImport / Exportpublic2006-10-11 23:52
Reporterterry_n_brown Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3 
Target VersionFixed in Version1.3.3.5cvs 
Summary0000969: SVG text alignment wrong
DescriptionImporting a graph from AT&T's graphiz dot software.
Inkscape correctly aligns text in center of node shapes.
Scribus places the left edge of the text in the center of the node shape.
Steps To Reproduceimport http://www.greygreen.org/tmp/t.svg
(also attached as file)
Additional InformationI think the problem is that Scribus doesn't honour the SVG text element's text-anchor="middle" attribute?
TagsNo tags attached.
Patch

Relationships

child of 0002931 acknowledged Metabug: SVG 

Activities

2004-08-13 19:20

 

t.svg (647 bytes)

plinnell

2004-08-16 10:15

viewer   ~0002179

tested here with batik where it displays properly.

plinnell

2005-09-12 00:25

viewer   ~0006517

bumped

plinnell

2005-11-11 23:00

viewer   ~0007406

bumping to 1.3.x where it will get fixed with the new SVG importer/exporter

plinnell

2006-10-11 23:52

viewer   ~0012926

tested fixed hooray

Issue History

Date Modified Username Field Change
2004-08-13 19:20 terry_n_brown New Issue
2004-08-13 19:20 terry_n_brown File Added: t.svg
2004-08-16 10:15 plinnell Note Added: 0002179
2004-08-16 10:15 plinnell Assigned To => fschmid
2004-08-16 10:15 plinnell Severity major => minor
2004-08-16 10:15 plinnell Status new => assigned
2005-05-10 20:55 plinnell Product Version 1.1.7 => 1.2.2cvs
2005-07-06 11:16 plinnell Product Version 1.2.2cvs => 1.2.3cvs
2005-09-12 00:25 plinnell Note Added: 0006517
2005-09-12 00:25 plinnell Product Version 1.2.3cvs => 1.2.4cvs
2005-11-11 23:00 plinnell Note Added: 0007406
2005-11-11 23:00 plinnell Product Version 1.2.4cvs => 1.3
2006-01-30 12:17 lace Note Added: 0008493
2006-05-17 19:04 christoph_s Relationship added child of 0002931
2006-09-03 23:44 plinnell Assigned To fschmid => jghali
2006-10-09 19:13 jghali Status assigned => resolved
2006-10-09 19:13 jghali Fixed in Version => 1.3.3.5cvs
2006-10-09 19:13 jghali Resolution open => fixed
2006-10-11 23:52 plinnell Status resolved => closed
2006-10-11 23:52 plinnell Note Added: 0012926